/* 
  ##Device = All
  ##Screen = Styles will be apply for all resolutions
*/

/* CSS */
.carousel-gallery-img {
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.swiper-gallery-pagination {
    padding: 3rem 0rem 0rem 0rem;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-bottom: 2px solid var(--gray-dark-3) !important;
}

    .swiper-gallery-pagination .swiper-pagination-bullet {
        width: auto !important;
        height: fit-content !important;
        font-size: 1.125rem !important;
        color: var(--gray-dark-3) !important;
        padding-bottom: 0.5rem !important;
        font-family: var(--font-family-2) !important;
        font-weight: var(--weight-normal) !important;
    }

    .swiper-gallery-pagination .swiper-pagination-bullet-active {
        border-bottom: 5px solid var(--brand-light) !important;
        color: var(--gray-light-7) !important;
    }

.gallery-text {
    padding: 2rem 1rem 0rem 1rem;
}

    .gallery-text p {
        font-family: var(--font-family-2);
        font-weight: 400;
        font-size: 1rem;
    }

/* 
  ##Device = Desktops large
  ##Screen = 1920px to higher resolution desktops
*/
@media (min-width: 1920px) {
    /* CSS */
    .carousel-gallery-img {
        height: 40.8rem;
    }

    .vehicle-gallery-component {
        padding: 10rem;
    }

    .gallery-text-mobile {
        display: none;
    }

    .gallery-text-desktop {
        display: block;
    }
}


/* 
  ##Device = Desktops
  ##Screen = 1281px to 1919px
*/

@media (min-width: 1281px) and (max-width: 1919px) {

    /* CSS */
    .carousel-gallery-img {
        height: 40.8rem;
    }

    .vehicle-gallery-component {
        padding: 2rem 10rem;
    }

    .gallery-text-mobile {
        display: none;
    }

    .gallery-text-desktop {
        display: block;
    }
}

/* 
    ##Device = Laptops, Desktops
    ##Screen = B/w 1025px to 1280px
  */

@media (min-width: 1025px) and (max-width: 1280px) {

    /* CSS */
    .carousel-gallery-img {
        height: 34.8rem;
    }

    .vehicle-gallery-component {
        padding: 2rem 10rem;
    }

    .gallery-text-mobile {
        display: none;
    }

    .gallery-text-desktop {
        display: block;
    }
}

/* 
    ##Device = Tablets, Ipads (portrait)
    ##Screen = B/w 768px to 1024px
  */

@media (min-width: 768px) and (max-width: 1024px) {

    /* CSS */
    .carousel-gallery-img {
        height: 23.8rem;
    }

    .vehicle-gallery-component {
        padding: 1.5rem 5rem;
    }

    .gallery-text-mobile {
        display: none;
    }

    .gallery-text-desktop {
        display: block;
    }
}

/* 
    ##Device = Tablets, Ipads (landscape)
    ##Screen = B/w 768px to 1024px
  */

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {

    /* CSS */
    .carousel-gallery-img {
        height: 23.8rem;
    }

    .vehicle-gallery-component {
        padding: 1.5rem 5rem;
    }

    .gallery-text-mobile {
        display: none;
    }

    .gallery-text-desktop {
        display: block;
    }
}

/* 
    ##Device = Low Resolution Tablets, Mobiles (Landscape)
    ##Screen = B/w 481px to 767px
  */

@media (min-width: 481px) and (max-width: 767px) {

    /* CSS */
    .carousel-gallery-img {
        height: 16.25rem;
    }

    .gallery-text-mobile {
        display: block;
    }

    .gallery-text-desktop {
        display: none;
    }

    .swiper-gallery-pagination {
        padding: 2rem 0rem;
        text-align: center;
        display: block !important;
        border-bottom: none !important;
    }
        .swiper-gallery-pagination .swiper-pagination-bullet {
            width: 53.25px !important;
            height: 5px !important;
            background: var(--gray-dark-3) !important;
        }

        .swiper-gallery-pagination .swiper-pagination-bullet-active {
            border-bottom: none !important;
            background: var(--brand-light) !important;
        }
}

/* 
    ##Device = Most of the Smartphones Mobiles (Portrait)
    ##Screen = B/w 320px to 479px
  */

@media (min-width: 320px) and (max-width: 480px) {

    /* CSS */
    .carousel-gallery-img {
        height: 16.25rem;
    }

    .gallery-text-mobile {
        display: block;
    }

    .gallery-text-desktop {
        display: none;
    }

    .swiper-gallery-pagination {
        padding: 2rem 0rem;
        text-align: center;
        display: block !important;
        border-bottom: none !important;
    }

        .swiper-gallery-pagination .swiper-pagination-bullet {
            width: 53.25px !important;
            height: 5px !important;
            background: var(--gray-dark-3) !important;
            padding-bottom: 1px !important;
        }

        .swiper-gallery-pagination .swiper-pagination-bullet-active {
            border-bottom: none !important;
            background: var(--brand-light) !important;
            height: 7px !important;
        }
}
